Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ipe::Document::SProperties Struct Reference

`#include <ipedoc.h>`

## Public Member Functions

| SProperties ()

## Public Attributes

String | iTitle
String | iAuthor
String | iSubject
String | iKeywords
String | iPreamble
bool | iFullScreen
bool | iNumberPages
String | iCreated
String | iModified
String | iCreator

## Detailed Description

Properties of a document.

## Constructor & Destructor Documentation

Document::SProperties::SProperties | ( |  | ) |

Constructor clears the boolean flags.

## Member Data Documentation

String ipe::Document::SProperties::iTitle

String ipe::Document::SProperties::iAuthor

String ipe::Document::SProperties::iSubject

String ipe::Document::SProperties::iKeywords

String ipe::Document::SProperties::iPreamble

bool ipe::Document::SProperties::iFullScreen

bool ipe::Document::SProperties::iNumberPages

String ipe::Document::SProperties::iCreated

Date/time in PDF style "D:20010428191400" format.

String ipe::Document::SProperties::iModified

String ipe::Document::SProperties::iCreator

Program that created this document (e.g. "Ipe 7.5").

The documentation for this struct was generated from the following files:

- ipedoc.h
- ipedoc.cpp